# Domain Notifications (https://developer.godaddy.com/en/docs/references/rest/domains/v2/domain-notifications)

***

title: Domain Notifications
description: >-
Manage notification opt-in preferences, retrieve notification schemas, and
acknowledge domain lifecycle notifications.
full: true
\_openapi:
toc: \[]
structuredData:
headings: \[]
contents:

* content: >-
  Returns the next unacknowledged domain notification. Returns 200 with
  a Notification body, or 204 if no notifications are pending.
* content: >-
  Returns the notification types the account is currently opted in to
  receive.
* content: >-
  Opts the account in to receiving the specified notification types.
  Returns 204 No Content.
* content: >-
  Returns the JSON schema for a specific notification type's data
  payload. Use to validate or parse notification data before processing.
* content: >-
  Acknowledges a domain notification, removing it from the notification
  queue. Returns 204 No Content.

***

## GET /v2/customers/{customerId}/domains/notifications

Retrieve the next domain notification

Returns the next unacknowledged domain notification. Returns 200 with a Notification body, or 204 if no notifications are pending.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `customerId` | string | yes | The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of. |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Request-Id` | string | no | A client provided identifier for tracking this request. |

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- object
  - `notificationId` (required): string — The notification ID to be used in POST /v2/customers/{customerId}/domains/notifications to acknowledge the notification
  - `type` (required): string — The type of action the notification relates to
    - enum: "AUTH_CODE_REGENERATE", "AUTO_RENEWAL", "CHANGE_OF_REGISTRANT_DELETE", "DOMAIN_DELETE", "DOMAIN_UPDATE", "DOMAIN_UPDATE_NAME_SERVERS", "PRIVACY_FORWARDING_UPDATE", "REGISTER", "TRANSFER", "TRANSFER_IN", "TRANSFER_IN_ACCEPT", "TRANSFER_IN_CANCEL", "TRANSFER_IN_RESTART", "TRANSFER_IN_RETRY", "TRANSFER_OUT", "TRANSFER_OUT_ACCEPT", "TRANSFER_OUT_REJECT"
  - `resource` (required): string — The resource the notification pertains to.
  - `resourceType` (required): string — The type of resource the notification relates to
    - enum: "CONTACT", "DOMAIN", "HOST"
  - `status` (required): string — The resulting status of the action.
    - enum: "AWAITING", "CANCELLED", "FAILED", "PENDING", "SUCCESS"
  - `addedAt` (required): string <iso-datetime> — The date the notification was added
  - `requestId`: string — A client provided identifier (via X-Request-Id header) indicating the request this notification is for
  - `metadata`: object — The notification data for the given type as specified by GET /v2/customers/{customerId}/domains/notifications/schema

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**404** — The customer does not exist

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**Security:** requires `bearerAuth`.

## GET /v2/customers/{customerId}/domains/notifications/optIn

Retrieve a list of notification types that are opted in

Returns the notification types the account is currently opted in to receive.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `customerId` | string | yes | The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of. |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Request-Id` | string | no | A client provided identifier for tracking this request. |

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- array
  - items:
      - `notificationId` (required): string — The notification ID to be used in POST /v2/customers/{customerId}/domains/notifications to acknowledge the notification
      - `type` (required): string — The type of action the notification relates to
        - enum: "AUTH_CODE_REGENERATE", "AUTO_RENEWAL", "CHANGE_OF_REGISTRANT_DELETE", "DOMAIN_DELETE", "DOMAIN_UPDATE", "DOMAIN_UPDATE_NAME_SERVERS", "PRIVACY_FORWARDING_UPDATE", "REGISTER", "TRANSFER", "TRANSFER_IN", "TRANSFER_IN_ACCEPT", "TRANSFER_IN_CANCEL", "TRANSFER_IN_RESTART", "TRANSFER_IN_RETRY", "TRANSFER_OUT", "TRANSFER_OUT_ACCEPT", "TRANSFER_OUT_REJECT"
      - `resource` (required): string — The resource the notification pertains to.
      - `resourceType` (required): string — The type of resource the notification relates to
        - enum: "CONTACT", "DOMAIN", "HOST"
      - `status` (required): string — The resulting status of the action.
        - enum: "AWAITING", "CANCELLED", "FAILED", "PENDING", "SUCCESS"
      - `addedAt` (required): string <iso-datetime> — The date the notification was added
      - `requestId`: string — A client provided identifier (via X-Request-Id header) indicating the request this notification is for
      - `metadata`: object — The notification data for the given type as specified by GET /v2/customers/{customerId}/domains/notifications/schema

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**404** — The customer does not exist

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**Security:** requires `bearerAuth`.

## PUT /v2/customers/{customerId}/domains/notifications/optIn

Opt in to receive notifications for the submitted notification types

Opts the account in to receiving the specified notification types. Returns 204 No Content.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `customerId` | string | yes | The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of. |

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `types` | array | yes | The notification types that should be opted in |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Request-Id` | string | no | A client provided identifier for tracking this request. |

### Responses

**204** — Command successful

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**404** — The customer does not exist

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**422** — `type` must be specified

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**Security:** requires `bearerAuth`.

## GET /v2/customers/{customerId}/domains/notifications/schemas/{type}

Retrieve the schema for the notification data for the specified notification type

Returns the JSON schema for a specific notification type's data payload. Use to validate or parse notification data before processing.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `customerId` | string | yes | The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of. |
| `type` | string | yes | The notification type whose schema should be retrieved |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Request-Id` | string | no | A client provided identifier for tracking this request. |

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- object
  - `id` (required): string
  - `models` (required): array
      - items:
  - `properties` (required): array
      - items:
          - `defaultValue`: string
          - `format`: string
          - `items`: array
              - items:
                  - `format`: string
                  - `pattern`: string
                  - `type` (required): string
          - `maxItems`: integer
          - `maximum`: integer
          - `minItems`: integer
          - `minimum`: integer
          - `pattern`: string
          - `required` (required): boolean
          - `type` (required): string
  - `required` (required): array
      - items:
  - `type`: unknown

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**404** — The schema type does not exist

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**422** — `type` must be specified

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**Security:** requires `bearerAuth`.

## POST /v2/customers/{customerId}/domains/notifications/{notificationId}/acknowledge

Acknowledge a domain notification

Acknowledges a domain notification, removing it from the notification queue. Returns 204 No Content.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `customerId` | string | yes | The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of. |
| `notificationId` | string | yes | The notification ID to acknowledge |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Request-Id` | string | no | A client provided identifier for tracking this request. |

### Responses

**204** — Message acknowledged

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**404** — The domain does not exist

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**Security:** requires `bearerAuth`.
